/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.VenteRapideClt;

import javafx.beans.property.SimpleStringProperty;

/**
 * @author Maher Ben Tili
 */
public class ListeVenteSansFacture {
    
    private final SimpleStringProperty Code;
    private final SimpleStringProperty Date;
    private final SimpleStringProperty NbrProd;
    private final SimpleStringProperty Paiement;
    private final SimpleStringProperty NomPrenomClient;
    private final SimpleStringProperty Montant;
    private final SimpleStringProperty Operation;
    private final SimpleStringProperty DateOperation;
    
    public ListeVenteSansFacture(String code, String date,  String nbr_prod, String paiement, String nom_prenom_client, String montant, String opertation, String date_opertation){
        this.Code = new SimpleStringProperty(code);
        this.Date = new SimpleStringProperty(date);
        this.NbrProd = new SimpleStringProperty(nbr_prod);
        this.Paiement = new SimpleStringProperty(paiement);
        this.NomPrenomClient = new SimpleStringProperty(nom_prenom_client);
        this.Montant = new SimpleStringProperty(montant);
        this.Operation = new SimpleStringProperty(opertation);
        this.DateOperation = new SimpleStringProperty(date_opertation);
    }
    
    public String getCode() {
        return Code.get();
    }
    
    public String getDate() {
        return Date.get();
    }
    
    public String getNbrProd() {
        return NbrProd.get();
    }
    
    public String getPaiement() {
        return Paiement.get();
    }
    
    public String getNomPrenomClient() {
        return NomPrenomClient.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
    
    public String getOperation() {
        return Operation.get();
    }
    
    public String getDateOperation() {
        return DateOperation.get();
    }
    
}
